Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinBase.SYSTEM_INFO.PI

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinBase.SYSTEM_INFO.PI

Direct Known Subclasses:
  WinBase.SYSTEM_INFO.PI.ByReference

Enclosing class:
  WinBase.SYSTEM_INFO

    public static class WinBase.SYSTEM_INFO.PI

extends com.sun.jna.Structure

Nested Class Summary
`static class` | `WinBase.SYSTEM_INFO.PI.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary
`WinDef.WORD` | `wProcessorArchitecture` System's processor architecture.
`WinDef.WORD` | `wReserved` Reserved for future use.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinBase.SYSTEM_INFO.PI()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### wProcessorArchitecture

    public WinDef.WORD wProcessorArchitecture

  System's processor architecture. This value can be one of the following values: PROCESSOR_ARCHITECTURE_UNKNOWN PROCESSOR_ARCHITECTURE_INTEL PROCESSOR_ARCHITECTURE_IA64 PROCESSOR_ARCHITECTURE_AMD64

### wReserved

    public WinDef.WORD wReserved

  Reserved for future use.

Constructor Detail

### WinBase.SYSTEM_INFO.PI

    public WinBase.SYSTEM_INFO.PI()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD